/* eslint-disable */
/* prettier-ignore */
// @ts-nocheck
// Generated by unplugin-vue-components
// Read more: https://github.com/vuejs/core/pull/3399
export {}

declare module 'vue' {
  export interface GlobalComponents {
    AddAuthenticatorAppDialog: typeof import('./src/components/dialogs/AddAuthenticatorAppDialog.vue')['default']
    AddEditAddressDialog: typeof import('./src/components/dialogs/AddEditAddressDialog.vue')['default']
    AddEditPermissionDialog: typeof import('./src/components/dialogs/AddEditPermissionDialog.vue')['default']
    AddEditRoleDialog: typeof import('./src/components/dialogs/AddEditRoleDialog.vue')['default']
    AddGitlabIntegration: typeof import('./src/components/forms/GitLabIntegration/AddGitlabIntegration.vue')['default']
    AddGitlabToken: typeof import('./src/components/forms/GitLabIntegration/AddGitlabToken.vue')['default']
    AddGitlabUser: typeof import('./src/components/forms/GitLabIntegration/AddGitlabUser.vue')['default']
    AddPaymentMethodDialog: typeof import('./src/components/dialogs/AddPaymentMethodDialog.vue')['default']
    AppAutocomplete: typeof import('./src/@core/components/app-form-elements/AppAutocomplete.vue')['default']
    AppBarSearch: typeof import('./src/@core/components/AppBarSearch.vue')['default']
    AppCardActions: typeof import('./src/@core/components/cards/AppCardActions.vue')['default']
    AppCardCode: typeof import('./src/@core/components/cards/AppCardCode.vue')['default']
    AppCombobox: typeof import('./src/@core/components/app-form-elements/AppCombobox.vue')['default']
    AppDateTimePicker: typeof import('./src/@core/components/app-form-elements/AppDateTimePicker.vue')['default']
    AppDrawerHeaderSection: typeof import('./src/@core/components/AppDrawerHeaderSection.vue')['default']
    AppLoadingIndicator: typeof import('./src/components/AppLoadingIndicator.vue')['default']
    AppPricing: typeof import('./src/components/AppPricing.vue')['default']
    AppSearchHeader: typeof import('./src/components/AppSearchHeader.vue')['default']
    AppSelect: typeof import('./src/@core/components/app-form-elements/AppSelect.vue')['default']
    AppStepper: typeof import('./src/@core/components/AppStepper.vue')['default']
    AppTextarea: typeof import('./src/@core/components/app-form-elements/AppTextarea.vue')['default']
    AppTextField: typeof import('./src/@core/components/app-form-elements/AppTextField.vue')['default']
    AppTimeline: typeof import('./src/@core/components/app-timeline/AppTimeline.vue')['default']
    AppTimelineItem: typeof import('./src/@core/components/app-timeline/AppTimelineItem.vue')['default']
    BuyNow: typeof import('./src/@core/components/BuyNow.vue')['default']
    CardAddEditDialog: typeof import('./src/components/dialogs/CardAddEditDialog.vue')['default']
    CardStatisticsHorizontal: typeof import('./src/@core/components/cards/CardStatisticsHorizontal.vue')['default']
    CardStatisticsVertical: typeof import('./src/@core/components/cards/CardStatisticsVertical.vue')['default']
    CardStatisticsVerticalSimple: typeof import('./src/@core/components/CardStatisticsVerticalSimple.vue')['default']
    ChangePasswordForm: typeof import('./src/components/forms/ChangePasswordForm.vue')['default']
    ChangePasswordFormAdmin: typeof import('./src/components/forms/ChangePasswordFormAdmin.vue')['default']
    ChangeRoleForm: typeof import('./src/components/forms/ChangeRoleForm.vue')['default']
    ConfirmDialog: typeof import('./src/components/dialogs/ConfirmDialog.vue')['default']
    ConsoleLogViewer: typeof import('./src/components/gitlab/pipeline/common/ConsoleLogViewer.vue')['default']
    CreateAppDialog: typeof import('./src/components/dialogs/CreateAppDialog.vue')['default']
    CustomCheckboxes: typeof import('./src/@core/components/app-form-elements/CustomCheckboxes.vue')['default']
    CustomCheckboxesWithIcon: typeof import('./src/@core/components/app-form-elements/CustomCheckboxesWithIcon.vue')['default']
    CustomCheckboxesWithImage: typeof import('./src/@core/components/app-form-elements/CustomCheckboxesWithImage.vue')['default']
    CustomizerSection: typeof import('./src/@core/components/CustomizerSection.vue')['default']
    CustomRadios: typeof import('./src/@core/components/app-form-elements/CustomRadios.vue')['default']
    CustomRadiosWithIcon: typeof import('./src/@core/components/app-form-elements/CustomRadiosWithIcon.vue')['default']
    CustomRadiosWithImage: typeof import('./src/@core/components/app-form-elements/CustomRadiosWithImage.vue')['default']
    DashboardsDELETE: typeof import('./src/components/dashboards/Dashboards-DELETE.vue')['default']
    DialogCloseBtn: typeof import('./src/@core/components/DialogCloseBtn.vue')['default']
    EditUserForm: typeof import('./src/components/forms/EditUserForm.vue')['default']
    EmailReporterForm: typeof import('./src/components/forms/reporters/EmailReporterForm.vue')['default']
    EnableOneTimePasswordDialog: typeof import('./src/components/dialogs/EnableOneTimePasswordDialog.vue')['default']
    ErrorHeader: typeof import('./src/components/ErrorHeader.vue')['default']
    EventDeleteModal: typeof import('./src/components/settings/EventDeleteModal.vue')['default']
    ExecutionLogsComponent: typeof import('./src/components/gitlab/pipeline/ExecutionLogsComponent.vue')['default']
    Faq: typeof import('./src/components/faq/Faq.vue')['default']
    FaqQuestionAnswer: typeof import('./src/components/faq/FaqQuestionAnswer.vue')['default']
    ForgotPassword: typeof import('./src/components/pages/authentication/ForgotPassword.vue')['default']
    FormDatepickerBasic: typeof import('./src/components/schedules/FormDatepickerBasic.vue')['default']
    FormDatepickerButtonOnly: typeof import('./src/components/schedules/FormDatepickerButtonOnly.vue')['default']
    FormDatepickerDisableDate: typeof import('./src/components/schedules/FormDatepickerDisableDate.vue')['default']
    FormDatepickerFullWidth: typeof import('./src/components/schedules/FormDatepickerFullWidth.vue')['default']
    FormDatepickerInternationalization: typeof import('./src/components/schedules/FormDatepickerInternationalization.vue')['default']
    FormDatepickerMinMax: typeof import('./src/components/schedules/FormDatepickerMinMax.vue')['default']
    FormDatepickerOptional: typeof import('./src/components/schedules/FormDatepickerOptional.vue')['default']
    FormDatepickerPlaceholder: typeof import('./src/components/schedules/FormDatepickerPlaceholder.vue')['default']
    FormDatepickerSize: typeof import('./src/components/schedules/FormDatepickerSize.vue')['default']
    FormDatepickerState: typeof import('./src/components/schedules/FormDatepickerState.vue')['default']
    FormDatepickerString: typeof import('./src/components/schedules/FormDatepickerString.vue')['default']
    FormDatepickerValidation: typeof import('./src/components/schedules/FormDatepickerValidation.vue')['default']
    FormDatepickerVariant: typeof import('./src/components/schedules/FormDatepickerVariant.vue')['default']
    FullUserFormTemplate: typeof import('./src/components/forms/FullUserFormTemplate.vue')['default']
    FullUserFormTemplateAdmin: typeof import('./src/components/forms/FullUserFormTemplateAdmin.vue')['default']
    GitLabIntegrationFormAdmin: typeof import('./src/components/forms/GitLabIntegration/GitLabIntegrationFormAdmin.vue')['default']
    GitlabIntegrationUser: typeof import('./src/components/forms/GitLabIntegration/GitlabIntegrationUser.vue')['default']
    GitlabUser: typeof import('./src/components/forms/GitLabIntegration/GitlabUser.vue')['default']
    GroupsBreadcrumbComponent: typeof import('./src/components/gitlab/GroupsBreadcrumbComponent.vue')['default']
    GroupsCardsComponent: typeof import('./src/components/gitlab/GroupsCardsComponent.vue')['default']
    HeaderTemplate: typeof import('./src/components/gitlab/pipeline/common/HeaderTemplate.vue')['default']
    I18n: typeof import('./src/@core/components/I18n.vue')['default']
    Integrations: typeof import('./src/components/inventory/Integrations.vue')['default']
    JobItem: typeof import('./src/components/gitlab/pipeline/common/JobItem.vue')['default']
    JobLogsComponent: typeof import('./src/components/gitlab/JobLogsComponent.vue')['default']
    JobSetupFormComponent: typeof import('./src/components/gitlab/pipeline/common/JobSetupFormComponent.vue')['default']
    JobsListHorizontal: typeof import('./src/components/gitlab/pipeline/common/JobsListHorizontal.vue')['default']
    JobsListHorizontalComponent: typeof import('./src/components/gitlab/pipeline/JobsListHorizontalComponent.vue')['default']
    JobsListVerticalComponent: typeof import('./src/components/gitlab/pipeline/JobsListVerticalComponent.vue')['default']
    LdapAdForm: typeof import('./src/components/forms/LdapAdForm.vue')['default']
    LdapAttribute: typeof import('./src/components/forms/ldap/LdapAttribute.vue')['default']
    LdapBasic: typeof import('./src/components/forms/ldap/LdapBasic.vue')['default']
    LdapRolesMap: typeof import('./src/components/forms/ldap/LdapRolesMap.vue')['default']
    LdapSsl: typeof import('./src/components/forms/ldap/LdapSsl.vue')['default']
    LogoutDropdwn: typeof import('./src/components/components/login/LogoutDropdwn.vue')['default']
    LogsConsoleComponent: typeof import('./src/components/gitlab/pipeline/report/LogsConsoleComponent.vue')['default']
    MoreBtn: typeof import('./src/@core/components/MoreBtn.vue')['default']
    NewEventForm: typeof import('./src/components/forms/NewEventForm.vue')['default']
    NewSubscriberForm: typeof import('./src/components/forms/NewSubscriberForm.vue')['default']
    NewUserForm: typeof import('./src/components/forms/NewUserForm.vue')['default']
    NoGitlabUser: typeof import('./src/components/forms/GitLabIntegration/NoGitlabUser.vue')['default']
    Notifications: typeof import('./src/@core/components/Notifications.vue')['default']
    PaymentProvidersDialog: typeof import('./src/components/dialogs/PaymentProvidersDialog.vue')['default']
    PipelineListComponent: typeof import('./src/components/gitlab/PipelineListComponent.vue')['default']
    PipelineSelectorComponent: typeof import('./src/components/gitlab/pipeline/PipelineSelectorComponent.vue')['default']
    PipelineSetupComponent: typeof import('./src/components/gitlab/PipelineSetupComponent.vue')['default']
    PipelineSetupForm: typeof import('./src/components/gitlab/pipeline/setup/PipelineSetupForm.vue')['default']
    PipelineSetupFormComponent: typeof import('./src/components/gitlab/pipeline/setup/PipelineSetupFormComponent.vue')['default']
    PipelineTable: typeof import('./src/components/components/GitlabViews/PipelineTable.vue')['default']
    PricingPlanDialog: typeof import('./src/components/dialogs/PricingPlanDialog.vue')['default']
    ProjectsCardsComponent: typeof import('./src/components/gitlab/ProjectsCardsComponent.vue')['default']
    ProjectsTable: typeof import('./src/components/components/GitlabViews/ProjectsTable.vue')['default']
    ProjectsTableComponent: typeof import('./src/components/gitlab/ProjectsTableComponent.vue')['default']
    ReferAndEarnDialog: typeof import('./src/components/dialogs/ReferAndEarnDialog.vue')['default']
    Register: typeof import('./src/components/pages/authentication/Register.vue')['default']
    ResetPassword: typeof import('./src/components/pages/authentication/ResetPassword.vue')['default']
    RouterLink: typeof import('vue-router')['RouterLink']
    RouterView: typeof import('vue-router')['RouterView']
    ScheduleDeleteModal: typeof import('./src/components/gitlab/ScheduleDeleteModal.vue')['default']
    ScheduleListComponent: typeof import('./src/components/gitlab/ScheduleListComponent.vue')['default']
    ScheduleTableComponent: typeof import('./src/components/gitlab/ScheduleTableComponent.vue')['default']
    ScrollToTop: typeof import('./src/@core/components/ScrollToTop.vue')['default']
    SearchPipeline: typeof import('./src/components/pipelines/SearchPipeline.vue')['default']
    Setting: typeof import('./src/components/user/setting/Setting.vue')['default']
    SettingsMSNCreateConfiguration: typeof import('./src/components/user/setting/SettingsMSNCreateConfiguration.vue')['default']
    SettingsMSNSubscribe: typeof import('./src/components/user/setting/SettingsMSNSubscribe.vue')['default']
    SettingsTemplate: typeof import('./src/components/settings/SettingsTemplate.vue')['default']
    ShareProjectDialog: typeof import('./src/components/dialogs/ShareProjectDialog.vue')['default']
    Shortcuts: typeof import('./src/@core/components/Shortcuts.vue')['default']
    SidebarContent: typeof import('./src/components/components/sidebar/SidebarContent.vue')['default']
    SlackReporterForm: typeof import('./src/components/forms/reporters/SlackReporterForm.vue')['default']
    StagesListVerticalComponent: typeof import('./src/components/gitlab/pipeline/StagesListVerticalComponent.vue')['default']
    SubscriberDeleteModal: typeof import('./src/components/settings/SubscriberDeleteModal.vue')['default']
    SubscriberFormTemplateAdmin: typeof import('./src/components/forms/SubscriberFormTemplateAdmin.vue')['default']
    SubscriberUserForm: typeof import('./src/components/forms/SubscriberUserForm.vue')['default']
    TeamsReporterForm: typeof import('./src/components/forms/reporters/TeamsReporterForm.vue')['default']
    TheCustomizer: typeof import('./src/@core/components/TheCustomizer.vue')['default']
    ThemeSwitcher: typeof import('./src/@core/components/ThemeSwitcher.vue')['default']
    TiptapEditor: typeof import('./src/@core/components/TiptapEditor.vue')['default']
    TwoFactorAuthDialog: typeof import('./src/components/dialogs/TwoFactorAuthDialog.vue')['default']
    UserDeleteModal: typeof import('./src/components/settings/UserDeleteModal.vue')['default']
    UserInfoEditDialog: typeof import('./src/components/dialogs/UserInfoEditDialog.vue')['default']
    UserSubscriptionForm: typeof import('./src/components/forms/subscriptions/UserSubscriptionForm.vue')['default']
    UserUpgradePlanDialog: typeof import('./src/components/dialogs/UserUpgradePlanDialog.vue')['default']
  }
}
